Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class Edge

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.model.DiagramElement
            |
            +--biouml.model.Edge

public class Edge
extends DiagramElement

Edge is directed relation between two diagram nodes, called "input" and "output".

pending notifications for inPort & outPort., inPort & outPort may duplicate information stored by general path. Whether we should consider them as some constraints for PortFinder?

Constructor Summary
`Edge(DataCollection parent, String id, Base kernel, Node input, Node output)`
`Edge(DataCollection parent, Base kernel, Node input, Node output)`

Method Summary
`DiagramElement` | `clone(Compartment newParent, String newName)`
`Point` | `getInPort()`
`Node` | `getInput()`
`Point` | `getOutPort()`
`Node` | `getOutput()`
`Polygon` | `getPath()`
`void` | `setInPort(Point inPort)`
`void` | `setOutPort(Point outPort)`
`void` | `setPath(Polygon path)`

Methods inherited from class biouml.model.DiagramElement
`getComment, getKernel, getRole, getTitle, getView, isKernelHidden, isRoleHidden, setComment, setKernel, setRole, setTitle, setView`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Constructor Detail

### Edge

    public Edge(DataCollection parent, String id, Base kernel, Node input, Node output)

### Edge

    public Edge(DataCollection parent, Base kernel, Node input, Node output)

Method Detail

### clone

    public DiagramElement clone(Compartment newParent, String newName)

### getInPort

    public Point getInPort()

### getInput

    public Node getInput()

### getOutPort

    public Point getOutPort()

### getOutput

    public Node getOutput()

### getPath

    public Polygon getPath()

### setInPort

    public void setInPort(Point inPort)

### setOutPort

    public void setOutPort(Point outPort)

### setPath

    public void setPath(Polygon path)

Association Links

to Class biouml.model.Node

to Class biouml.model.Node

to Class java.awt.Polygon

  Line path that connects input and output nodes.

  pending now it is suggested to be a {@link java.awt.geom.Polygon}, the advantage - practically direct correspondence to {@link ru.biosoft.graph.Edge.path}. The other suggestion - GeneralPath, or it can be arbitrary shape.

to Class java.awt.Point

to Class java.awt.Point

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM